%% Simulate Model in Parallel with parsim
% Simulate the model, CSTR, in parallel by sweeping over a variable. 
% An array of SimulationInput objects is used to perform the sweep.

% Specify sweep values.
FeedTempSweep = 250:10:300;

% Create an array of SimulationInput objects.
for i = length(FeedTempSweep):-1:1
    in(i) = Simulink.SimulationInput('CSTR');
    in(i) = in(i).setVariable('FeedTemp0',FeedTempSweep(i));
end

% Simulate the model in parallel.
out = parsim(in, 'ShowProgress', 'on') 